StackMapEntry (jakarta-bcel 5.1 API)
Keywords: org.apache.bcel.classfile.StackMapEntry,StackMapEntry class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.bcel.classfile
Class StackMapEntry

    java.lang.Object
      |
      +--org.apache.bcel.classfile.StackMapEntry

All Implemented Interfaces:
  java.lang.Cloneable

public final class StackMapEntry
extends java.lang.Object
implements java.lang.Cloneable

This class represents a stack map entry recording the types of local variables and the the of stack items at a given byte code offset. See CLDC specification §5.3.1.2

Version:
  $Id: StackMapEntry.java,v 1.2 2002/03/11 16:16:35 mdahm Exp $
Author:
  M. Dahm
See Also:
  `StackMap`, `StackMapType`

Constructor Summary
`StackMapEntry(int byte_code_offset, int number_of_locals, StackMapType[] types_of_locals, int number_of_stack_items, StackMapType[] types_of_stack_items, ConstantPool constant_pool)`

Method Summary
`void` | `accept(Visitor v)` Called by objects that are traversing the nodes of the tree implicitely defined by the contents of a Java class.
`StackMapEntry` | `copy()`
`void` | `dump(java.io.DataOutputStream file)` Dump stack map entry
`int` | `getByteCodeOffset()`
`ConstantPool` | `getConstantPool()`
`int` | `getNumberOfLocals()`
`int` | `getNumberOfStackItems()`
`StackMapType[]` | `getTypesOfLocals()`
`StackMapType[]` | `getTypesOfStackItems()`
`void` | `setByteCodeOffset(int b)`
`void` | `setConstantPool(ConstantPool constant_pool)`
`void` | `setNumberOfLocals(int n)`
`void` | `setNumberOfStackItems(int n)`
`void` | `setTypesOfLocals(StackMapType[] t)`
`void` | `setTypesOfStackItems(StackMapType[] t)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StackMapEntry

    public StackMapEntry(int byte_code_offset,
                         int number_of_locals,
                         StackMapType[] types_of_locals,
                         int number_of_stack_items,
                         StackMapType[] types_of_stack_items,
                         ConstantPool constant_pool)

Method Detail

### dump

    public final void dump(java.io.DataOutputStream file)
                    throws java.io.IOException

  Dump stack map entry

  Parameters:
    `file` - Output file stream
  Throws:
    `java.io.IOException`

### toString

    public final java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    String representation.

### setByteCodeOffset

    public void setByteCodeOffset(int b)

### getByteCodeOffset

    public int getByteCodeOffset()

### setNumberOfLocals

    public void setNumberOfLocals(int n)

### getNumberOfLocals

    public int getNumberOfLocals()

### setTypesOfLocals

    public void setTypesOfLocals(StackMapType[] t)

### getTypesOfLocals

    public StackMapType[] getTypesOfLocals()

### setNumberOfStackItems

    public void setNumberOfStackItems(int n)

### getNumberOfStackItems

    public int getNumberOfStackItems()

### setTypesOfStackItems

    public void setTypesOfStackItems(StackMapType[] t)

### getTypesOfStackItems

    public StackMapType[] getTypesOfStackItems()

### copy

    public StackMapEntry copy()

  Returns:
    deep copy of this object

### accept

    public void accept(Visitor v)

  Called by objects that are traversing the nodes of the tree implicitely defined by the contents of a Java class. I.e., the hierarchy of methods, fields, attributes, etc. spawns a tree of objects.

  Parameters:
    `v` - Visitor object

### getConstantPool

    public final ConstantPool getConstantPool()

  Returns:
    Constant pool used by this object.

### setConstantPool

    public final void setConstantPool(ConstantPool constant_pool)

  Parameters:
    `constant_pool` - Constant pool to be used for this object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2003 Apache Software Foundation. All Rights Reserved.